cordova.define("com.spes.cordova.plugin.inappbrowserxwalk.inAppBrowserXwalk", function(require, exports, module) {
/*global cordova, module*/

function InAppBrowserXwalk() {
 
}

var callbacks = new Array ();

InAppBrowserXwalk.prototype = {
    close: function () {
        cordova.exec(null, null, "InAppBrowserXwalk", "close", []);
    },
    addEventListener: function (eventname, func) {
        callbacks[eventname] = func;
    },
    removeEventListener: function (eventname) {
        callbacks[eventname] = undefined;
    },
    show: function () {
        cordova.exec(null, null, "InAppBrowserXwalk", "show", []);
    },
    hide: function () {
        cordova.exec(null, null, "InAppBrowserXwalk", "hide", []);
    },
    stopLoading: function (scrpt) {
        cordova.exec(null, null, "InAppBrowserXwalk", "stopLoading", []);
    },
    executeScript: function (injectDetails) {
        cordova.exec(null, null, "InAppBrowserXwalk", "executeScript", [injectDetails.code]);
    }
}

var callback = function(event) {
    if (event.type === "loadstart" && callbacks['loadstart'] !== undefined) {
        callbacks['loadstart'](event.url);
    }
    if (event.type === "loadstop" && callbacks['loadstop'] !== undefined) {
        callbacks['loadstop'](event.url);
    }
    if (event.type === "exit" && callbacks['exit'] !== undefined) {
        callbacks['exit']();
    }
    if (event.type === "jsCallback" && callbacks['jsCallback'] !== undefined) {
        callbacks['jsCallback'](event.result);
    }
}

module.exports = {
    open: function (url, options) {
        options = (options === undefined) ? "{}" : JSON.stringify(options);
        cordova.exec(callback, null, "InAppBrowserXwalk", "open", [url, options]);
        return new InAppBrowserXwalk();
    }
};

});
