/*jshint -W062*/
/*jshint -W030*/
!function() {
  if (Polymer !== undefined) {
    // ENGLISH
    Polymer.CarbonI18nBehaviorLocales.add('card-login', 'en', {
      'login': 'Login',
      'keyring': 'Keyring',
      'signin': 'Sign In',
      'errorTitle': 'Error',
      'errorMessage1': 'Wrong Username or Password',
      'errorMessage2': 'Wrong Connection Parameters',
      'errorMessage3': 'Cannot Connect to Device',
      'errorMessage4': 'Please select a keyring',
      'errorMessage5': 'Please create at least one entry in the keyring',
      'closeModal': 'Back',
      'appVersion': 'Version'
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-keyring-list', 'en', {
      'keyring': 'Keyring',
      'masterPin': 'Master PIN',
      'editMasterPin': 'Edit Master PIN',
      'newPin': 'New PIN',
      'repeatPin': 'Repeat PIN',
      'cancel': 'Cancel',
      'save': 'Save',
      'pinError': 'Insert PIN',
      'repeatPinError': 'Wrong PIN',
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-keyring-edit', 'en', {
      'save': 'Save',
      'plantName': 'Plant Name',
      'indoorParameter': 'Indoor Parameter',
      'ipIndoorParameter': 'IP',
      'portIndoorParameter': 'Port',
      'wportIndoorParameter': 'Web Port',
      'outdoorParameter': 'Outdoor Parameter',
      'ipOutdoorParameter': 'IP',
      'portOutdoorParameter': 'Port',
      'wportOutdoorParameter': 'Web Port',
      'defaultConnection': 'Default Connection',
      'indoor': 'Indoor',
      'outdoor': 'Outdoor',
      'credentials': 'Credentials',
      'username': 'Username',
      'password': 'Password',
      'delete': 'Delete',
      'nameError': 'Plant Name Invalid',
      'ipIndoorParameterError': 'Internal IP Missing',
      'portIndoorParameterError': 'Port Missing',
      'wportIndoorParameterError': 'Web Port Missing',
      'ipOutdoorParameterError': 'Outdoor IP Missing',
      'portOutdoorParameterError': 'Outdoor Port Missing',
      'wportOutdoorParameterError': 'Outdoor Web Port Missing',
      'usernameError': 'Username Missing',
      'passwordError': 'Password Missing',
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-masterpin', 'en', {
      'loginLabel': 'Login FEB',
      'newPwd': 'Master PIN',
      'pwdError': 'Incorrect Master PIN',
      'cancel': 'Cancel',
      'signin': 'Unlock'
    });

    // ITALIANO
    Polymer.CarbonI18nBehaviorLocales.add('card-login', 'it', {
      'login': 'Accesso',
      'keyring': 'Portachiavi',
      'signin': 'entra',
      'errorTitle': 'Errore',
      'errorMessage1': 'Username o Password errati',
      'errorMessage2': 'Parametri di connessione errati',
      'errorMessage3': 'Impossibile connettersi con il dispositivo',
      'errorMessage4': 'Selezionare un portachiavi',
      'errorMessage5': 'Creare almeno un elemento nel portachiavi',
      'closeModal': 'Indietro',
      'appVersion': 'Versione'
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-keyring-list', 'it', {
      'keyring': 'Portachiavi',
      'masterPin': 'PIN Principale',
      'editMasterPin': 'Modifica PIN Principale',
      'newPin': 'Nuovo PIN',
      'repeatPin': 'Ripeti PIN',
      'cancel': 'Cancella',
      'save': 'Salva',
      'pinError': 'Inserire il PIN',
      'repeatPinError': 'PIN non corretto',
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-keyring-edit', 'it', {
      'save': 'Salva',
      'plantName': 'Nome Impianto',
      'indoorParameter': 'Parametri di Rete Interna',
      'ipIndoorParameter': 'Indirizzo IP Interno',
      'portIndoorParameter': 'Porta Remota Interna',
      'wportIndoorParameter': 'Porta Web Interna',
      'outdoorParameter': 'Parametri di Rete Esterna',
      'ipOutdoorParameter': 'Indirizzo IP Esterno',
      'portOutdoorParameter': 'Porta Remota Esterna',
      'wportOutdoorParameter': 'Porta Web Esterna',
      'defaultConnection': 'Connessione di Rete Predefinita',
      'indoor': 'Interna',
      'outdoor': 'Esterna',
      'credentials': 'Credenziali',
      'username': 'Nome Utente',
      'password': 'Password',
      'delete': 'Cancella',
      'nameError': 'Nome Non Valido',
      'ipIndoorParameterError': 'Indirizzo IP Interno Non Inserito',
      'portIndoorParameterError': 'Porta Interna Non Inserita',
      'wportIndoorParameterError': 'Porta Web Interna Non Inserita',
      'ipOutdoorParameterError': 'Indirizzo IP Esterno Non Inserito',
      'portOutdoorParameterError': 'Porta Esterna Non Inserita',
      'wportOutdoorParameterError': 'Porta Web Esterna Non Inserita',
      'usernameError': 'Username Non Inserito',
      'passwordError': 'Password non Inserita',
    });
    Polymer.CarbonI18nBehaviorLocales.add('card-masterpin', 'it', {
      'loginLabel': 'Login FEB',
      'newPwd': 'Master PIN',
      'pwdError': 'Master PIN non Corretto',
      'cancel': 'Indietro',
      'signin': 'sblocca'
    });
  }
}();
